Upstream information

CVE-2017-12143 at MITRE

Description

In libquicktime 1.2.4, an allocation failure was found in the function quicktime_read_info in lqt_quicktime.c, which allows attackers to cause a denial of service via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 5
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1051859 [RESOLVED / WORKSFORME]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libquicktime Not affected
SUSE Linux Enterprise Desktop 15 SP5 libquicktime Not affected
SUSE Linux Enterprise Desktop 15 SP6 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 libquicktime Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 libquicktime Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP6 libquicktime Not affected
SUSE Linux Enterprise Server 12 SP5 libquicktime Already fixed
SUSE Linux Enterprise Server 15 SP5 libquicktime Not affected
SUSE Linux Enterprise Server 15 SP6 libquicktime Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libquicktime Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libquicktime Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 libquicktime Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libquicktime Already fixed
SUSE Manager Proxy 4.3 libquicktime Not affected
SUSE Manager Retail Branch Server 4.3 libquicktime Not affected
SUSE Manager Server 4.3 libquicktime Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libquicktime Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libquicktime Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libquicktime Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libquicktime Not affected
SUSE Linux Enterprise Server 15 SP2 libquicktime Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS libquicktime Not affected
SUSE Linux Enterprise Server 15 SP3 libquicktime Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS libquicktime Not affected
SUSE Linux Enterprise Server 15 SP4 libquicktime Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS libquicktime Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libquicktime Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libquicktime Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libquicktime Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libquicktime Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libquicktime Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libquicktime Already fixed
SUSE CaaS Platform 4.0 libquicktime Already fixed
SUSE CaaS Platform 4.5 libquicktime Unsupported
SUSE Enterprise Storage 6 libquicktime Already fixed
SUSE Enterprise Storage 7 libquicktime Not affected
SUSE Linux Enterprise Desktop 11 SP4 libquicktime Ignore
SUSE Linux Enterprise Desktop 12 libquicktime Already fixed
SUSE Linux Enterprise Desktop 12 SP1 libquicktime Already fixed
SUSE Linux Enterprise Desktop 12 SP2 libquicktime Unsupported
SUSE Linux Enterprise Desktop 12 SP3 libquicktime Unsupported
SUSE Linux Enterprise Desktop 12 SP4 libquicktime Already fixed
SUSE Linux Enterprise Desktop 15 libquicktime Already fixed
SUSE Linux Enterprise Desktop 15 SP1 libquicktime Already fixed
SUSE Linux Enterprise Desktop 15 SP2 libquicktime Not affected
SUSE Linux Enterprise Desktop 15 SP3 libquicktime Not affected
SUSE Linux Enterprise High Performance Computing 15 libquicktime Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 libquicktime Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libquicktime Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libquicktime Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS libquicktime Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS libquicktime Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 libquicktime Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libquicktime Already fixed
SUSE Linux Enterprise Real Time 15 SP2 libquicktime Not affected
SUSE Linux Enterprise Real Time 15 SP3 libquicktime Not affected
SUSE Linux Enterprise Real Time 15 SP4 libquicktime Not affected
SUSE Linux Enterprise Server 11 SP4 libquicktime Ignore
SUSE Linux Enterprise Server 12 libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP1 libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP1-LTSS libquicktime Unsupported
SUSE Linux Enterprise Server 12 SP2 libquicktime Affected
SUSE Linux Enterprise Server 12 SP2-BCL libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP2-ESPOS libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP2-LTSS libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP3 libquicktime Unsupported
SUSE Linux Enterprise Server 12 SP3-BCL libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP3-ESPOS libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP3-LTSS libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP4 libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP4-ESPOS libquicktime Already fixed
SUSE Linux Enterprise Server 12 SP4-LTSS libquicktime Already fixed
SUSE Linux Enterprise Server 12-LTSS libquicktime Unsupported
SUSE Linux Enterprise Server 15 libquicktime Already fixed
SUSE Linux Enterprise Server 15 SP1 libquicktime Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL libquicktime Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS libquicktime Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL libquicktime Not affected
SUSE Linux Enterprise Server 15 SP3-BCL libquicktime Not affected
SUSE Linux Enterprise Server 15-LTSS libquicktime Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libquicktime Already fixed
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libquicktime Ignore
SUSE Linux Enterprise Server for SAP Applications 12 libquicktime Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libquicktime Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libquicktime Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libquicktime Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libquicktime Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 libquicktime Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libquicktime Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 libquicktime Ignore
SUSE Linux Enterprise Software Development Kit 12 libquicktime Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP1 libquicktime Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP2 libquicktime Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 libquicktime Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 libquicktime Already fixed
SUSE Manager Proxy 4.0 libquicktime Already fixed
SUSE Manager Proxy 4.1 libquicktime Not affected
SUSE Manager Proxy 4.2 libquicktime Not affected
SUSE Manager Retail Branch Server 4.0 libquicktime Already fixed
SUSE Manager Retail Branch Server 4.1 libquicktime Not affected
SUSE Manager Retail Branch Server 4.2 libquicktime Not affected
SUSE Manager Server 4.0 libquicktime Already fixed
SUSE Manager Server 4.1 libquicktime Not affected
SUSE Manager Server 4.2 libquicktime Not affected
SUSE OpenStack Cloud 7 libquicktime Already fixed
SUSE OpenStack Cloud 8 libquicktime Already fixed
SUSE OpenStack Cloud 9 libquicktime Already fixed
SUSE OpenStack Cloud Crowbar 8 libquicktime Already fixed
SUSE OpenStack Cloud Crowbar 9 libquicktime Already fixed


SUSE Timeline for this CVE

CVE page created: Wed Aug 2 12:28:56 2017
CVE page last modified: Thu May 23 18:36:08 2024